package com.ekexiu.console.system.pojo;

import com.ekexiu.console.system.po.Organization;
import org.jfw.apt.orm.annotation.entry.CalcColumn;
import org.jfw.apt.orm.annotation.entry.ExtendView;
import org.jfw.apt.orm.core.defaultImpl.StringHandler;

/**
 * Created by TT on 2017/5/18.
 */
@ExtendView(fromSentence = "organization o LEFT JOIN org_user ou on ou.id = o.id LEFT JOIN cuser c on ou.inviter_id = c.id", tableAlias = "o")
public class OrganizationInfo extends Organization {
    private String principal;
    private String inviterId;
    private String registerEmail;
    private boolean hasOrgLogo;

    public boolean isHasOrgLogo() {
        return hasOrgLogo;
    }

    public void setHasOrgLogo(boolean hasOrgLogo) {
        this.hasOrgLogo = hasOrgLogo;
    }

    @CalcColumn(handlerClass = StringHandler.class, column = "ou.email")
    public String getRegisterEmail() {
        return registerEmail;
    }
    public void setRegisterEmail(String registerEmail) {
        this.registerEmail = registerEmail;
    }

    @CalcColumn(handlerClass = StringHandler.class, column = "ou.inviter_id")
    public String getInviterId() {
        return inviterId;
    }

    public void setInviterId(String inviterId) {
        this.inviterId = inviterId;
    }

    @CalcColumn(handlerClass = StringHandler.class, column = "c.name")
    public String getPrincipal() {
        return principal;
    }

    public void setPrincipal(String principal) {
        this.principal = principal;
    }
}
